[Overview][Types][Classes][Index] | Reference for unit 'SQLTypes' (#fcl)

# TSqlObjectIdentifierList.AddIdentifier

Add an identifier to the list

## Declaration

Source position: sqltypes.pp line 43

`public function TSqlObjectIdentifierList.AddIdentifier: TSqlObjectIdenfier; overload; function TSqlObjectIdentifierList.AddIdentifier(`
`const AObjectName: string;`
`const ASchemaName: string = ''`
`):TSqlObjectIdenfier; overload;`

## Function result

A new TSQLObjectIdentifier object

## Arguments

`AObjectName` |  | The value for the ObjectName property
`ASchemaName` |  | The value for the SchemaName property

## Description

AddIdentifier adds an identifier to the list with schema name ASchemaName and object name AObjectName. It returns the new identifier object. Both arguments are optional, their default value is the empty string.

No checking on duplicate entries is performed.

## See also

TSqlObjectIdentifier |  | SQL Identifier properties object